require "Insurgent/Traits/LoadoutRiflemanTrait"

LoadoutRiflemanTrait.description  = getText("UI_trait_LoadoutRiflemanDesc_VFE_VERSION")

function LoadoutRiflemanTrait.OnNewGame(player)
    if not player:HasTrait("LoadoutRifleman") then
        return
    end

    local weapon = InsurgentWeaponUtil.addWeapon(player, "Base.CAR15", {"Base.RedDot", "Base.Laser", "Base.RecoilPad"})
    InsurgentWeaponUtil.addMags(player, "Base.556Clip", 6)
    InsurgentWeaponUtil.equipAndFullyLoadWeapon(player, weapon, "Base.556Clip")
end
